// Fill out your copyright notice in the Description page of Project Settings.

#include "TestActorComponent.h"

UTestActorComponent::UTestActorComponent()
{
	PrimaryComponentTick.bCanEverTick = false;
}

void UTestActorComponent::BeginPlay()
{
	Super::BeginPlay();

	if (PrimaryComponentTick.bCanEverTick)
		GEngine->AddOnScreenDebugMessage (-1, 15.0f, FColor::Green, TEXT ("bCanEverTick"));
	else
		GEngine->AddOnScreenDebugMessage (-1, 15.0f, FColor::Red, TEXT ("No bCanEverTick"));
}

void UTestActorComponent::TickComponent(float DeltaTime, ELevelTick TickType, FActorComponentTickFunction* ThisTickFunction)
{
	Super::TickComponent(DeltaTime, TickType, ThisTickFunction);

	//GEngine->AddOnScreenDebugMessage (-1, 15.0f, FColor::Green, TEXT ("Tick"));
}
